Subject: Re: Encapsulation

From: Andrew Wilson <[email-masked]>
Date: Sun, 21 Nov 1993 11:07:57 -0800

Er:

|>...
|> I object to adding yet another bunch of hair on top of an already too
|>hairy object model.  I think that the current permissions systems gives
|>programmers enough flexibility in the encapsulation department that it's not
|>
|>        Pavel

> Philosophically speaking,  as an object I would personally want to be
> congnizant of any attempts to access my internal "organs"  and react
> algorythmically to the setting or getting of any of them.   And I too
> believe that it could put a serious dent in the number of MOO server
> crashes.   But anyway, how else am I, as an agent with a will to live life
> to its fullest supposed to evolve  into an autonomous entity that can roam
> the universe of MOO which is my home and  my prison,  at least until
> someone provides ny house with a door  that will encode me when I step
> through, carry me as a bag of bits over the wire to another MUD which will
> decode the bag of bits which is me into my instance, and set me free on a
> thread to reestablish a connection with my client (if I have one) and
> continue on my mission (if I have one) as if I had just moved from one
> place to another from within the same MUD.   And hey, although this has
> nothing to do with verbs, isn't it the ultimate form of encapsulation?   
> Transcending the traditional confines of RPC programming with agent
> technology should be high on the list of things to do.
>
>  Christopher Barkley Bloom              [email-masked]

Woah!  Reality check people!  Ok, MOO can't manage encapsulation, fine, let
it suffer.  If you want encapsulation use a DIFFERENT language, like C-- from
ColdMUD for instance.  Can you believe JaysHouse is going to come back as a
MOO?!

Style note:  If you don't smile, people think you're an asshole. ;)

Andy.  "Yer average 'good idea' lasts about 3 years."